Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.farmaco.vo.consultazioneprontuariofarmaceutico
Class PeriodoAtcResponse

    java.lang.Object
      it.svimservice.nsisr.web.ws.farmaco.vo.consultazioneprontuariofarmaceutico.PeriodoAtcResponse

    public class PeriodoAtcResponse

extends java.lang.Object

Dati di un periodo temporale di un ATC:

- data inizio
- data fine
- atc
- descrizione

Author:
  BisceglieR

Field Summary
`private java.lang.String` | `codAtc` Codice A.T.C.
`private java.lang.String` | `dataFine` Data fine
`private java.lang.String` | `dataInizio` Data inizio
`private java.lang.String` | `descAtc` Descrizione

Constructor Summary
`PeriodoAtcResponse()`

Method Summary
`java.lang.String` | `getCodAtc()`
`java.lang.String` | `getDataFine()`
`java.lang.String` | `getDataInizio()`
`java.lang.String` | `getDescAtc()`
`void` | `setCodAtc(java.lang.String codAtc)`
`void` | `setDataFine(java.lang.String dataFine)`
`void` | `setDataInizio(java.lang.String dataInizio)`
`void` | `setDescAtc(java.lang.String descAtc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataInizio

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataInizio

  Data inizio

### dataFine

    @Facets(pattern="((0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4})?")
    private java.lang.String dataFine

  Data fine

### codAtc

    private java.lang.String codAtc

  Codice A.T.C.

### descAtc

    private java.lang.String descAtc

  Descrizione

Constructor Detail

### PeriodoAtcResponse

    public PeriodoAtcResponse()

Method Detail

### getDataInizio

    public java.lang.String getDataInizio()

### setDataInizio

    public void setDataInizio(java.lang.String dataInizio)

### getDataFine

    public java.lang.String getDataFine()

### setDataFine

    public void setDataFine(java.lang.String dataFine)

### getCodAtc

    public java.lang.String getCodAtc()

### setCodAtc

    public void setCodAtc(java.lang.String codAtc)

### getDescAtc

    public java.lang.String getDescAtc()

### setDescAtc

    public void setDescAtc(java.lang.String descAtc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD